> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nutshell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an activity

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Nutshell API",
    "description": "The most powerful API in the world",
    "version": "2.0.0"
  },
  "servers": [
    {
      "url": "app.nutshell.com/rest"
    }
  ],
  "paths": {
    "/activities": {
      "post": {
        "tags": [
          "Activities"
        ],
        "summary": "Create an activity",
        "operationId": "245ac4db7d1ce9919113871e1fd9d14c",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/activityPostInput"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ActivityResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "basicAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "activityPostInput": {
        "properties": {
          "activities": {
            "type": "array",
            "items": {
              "properties": {
                "name": {
                  "description": "The name of the activity",
                  "type": "string",
                  "example": "Call with Andy Fowler"
                },
                "description": {
                  "description": "The agenda for the activity",
                  "type": "string",
                  "example": "Discuss the new feature set"
                },
                "note": {
                  "description": "An internal note about the activity",
                  "type": "string",
                  "example": "Andy was very excited about the new feature set"
                },
                "location": {
                  "description": "Where the activity will take place",
                  "type": "string",
                  "example": "Andy's office"
                },
                "activityType": {
                  "description": "See GET /activitytypes",
                  "type": "string",
                  "example": "1-activityTypes"
                },
                "startTime": {
                  "description": "Unix timestamp",
                  "type": "integer"
                },
                "endTime": {
                  "description": "Unix timestamp",
                  "type": "integer"
                },
                "transcription": {
                  "description": "The transcription of the activity",
                  "type": "string",
                  "example": "Speaker 1: Hello.\\n Speaker 2: Good morning!"
                },
                "isFlagged": {
                  "description": "Whether the activity is marked as important or not",
                  "type": "boolean",
                  "example": false
                },
                "isLogged": {
                  "description": "Whether the activity has occurred yet or not",
                  "type": "boolean",
                  "example": true
                },
                "isAllDay": {
                  "description": "Whether the activity is an all-day event",
                  "type": "boolean",
                  "example": false
                },
                "links": {
                  "description": "The entity IDs of activity participants",
                  "properties": {
                    "participants": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    }
                  },
                  "type": "object"
                }
              },
              "type": "object"
            }
          }
        },
        "type": "object"
      },
      "ActivityResponse": {
        "description": "A full response object for a activity-related endpoint",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/HtmlLinkable"
          },
          {
            "properties": {
              "activities": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/FullActivity"
                }
              },
              "id": {
                "description": "The API ID of this entity, formatted {integer}-{entityType}",
                "type": "string",
                "example": "3-contacts"
              },
              "agenda": {
                "description": "The list of things to accomplish in the activity",
                "example": "Sign a contract with Andy"
              },
              "createdTime": {
                "type": "integer"
              },
              "endTime": {
                "type": "integer"
              },
              "deletedTime": {
                "type": "integer"
              },
              "href": {
                "description": "The URL to fetch this contact.",
                "type": "string",
                "example": "https://app.nutshell.com/rest/contacts/3-contacts"
              },
              "isAllDay": {
                "description": "Whether the activity is an all-day event",
                "type": "boolean",
                "example": "false"
              },
              "isEditable": {
                "description": "Whether the activity can still be modified",
                "type": "boolean",
                "example": "true"
              },
              "isCancelled": {
                "description": "Whether the activity occurred as planned or not",
                "type": "boolean",
                "example": "false"
              },
              "isFlagged": {
                "description": "Whether the activity is marked as important or not",
                "type": "boolean",
                "example": "false"
              },
              "isLogged": {
                "description": "Whether the activity has occurred yet or not",
                "type": "boolean",
                "example": "true"
              },
              "isOverdue": {
                "description": "Whether the activity was supposed to be logged by now or not",
                "type": "boolean",
                "example": "false"
              },
              "loggedTime": {
                "type": "integer"
              },
              "modifiedTime": {
                "type": "integer"
              },
              "name": {
                "description": "The name of the activity",
                "type": "string",
                "example": "Meeting with Andy"
              },
              "startTime": {
                "type": "integer"
              },
              "isMediaLogged": {
                "type": "boolean"
              },
              "transcription": {
                "description": "The transcription on the activity",
                "type": "string",
                "example": "Speaker 1: Hello.\\n Speaker 2: Good morning!"
              }
            },
            "type": "object"
          }
        ]
      },
      "FullActivity": {
        "description": "An individual activity with all fields",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/Activity"
          },
          {
            "$ref": "#/components/schemas/HtmlLinkable"
          },
          {
            "properties": {
              "id": {
                "description": "The API ID of this entity, formatted {integer}-{entityType}",
                "type": "string",
                "example": "3-contacts"
              }
            },
            "type": "object"
          }
        ]
      },
      "Activity": {
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/HtmlLinkable"
          },
          {
            "properties": {
              "id": {
                "description": "The API ID of this entity, formatted {integer}-{entityType}",
                "type": "string",
                "example": "3-contacts"
              }
            },
            "type": "object"
          }
        ]
      },
      "HtmlLinkable": {
        "description": "Adds an htmlUrl string attribute that represents a URL of an HTML representation of the\nresponse model.",
        "properties": {
          "htmlUrl": {
            "description": "The link to the entity within the app.",
            "type": "string",
            "example": "https://app.nutshell.com/lead/1006"
          },
          "htmlUrlPath": {
            "description": "The path to the entity within the app.",
            "type": "string",
            "example": "/lead/1006"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "tags": [
    {
      "name": "Activities",
      "description": "Activities"
    }
  ]
}
```